Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.data
Enum DinucleotideProperty.Type

    java.lang.Object
      java.lang.Enum<DinucleotideProperty.Type>
          de.jstacs.data.DinucleotideProperty.Type

All Implemented Interfaces:
  Serializable, Comparable<DinucleotideProperty.Type>

Enclosing class:
  DinucleotideProperty

    public static enum DinucleotideProperty.Type

extends Enum<DinucleotideProperty.Type>

This enum defines the types of dinucleotide properties.

Author:
  Jan Grau

Enum Constant Summary
`CONFORMATIONAL` A conformational property of nucleotide sequences
`LETTER_BASED` A letter-based property of nucleotide sequences
`PHYSICOCHEMICAL` A physicochemical property of nucleotide sequences

Method Summary
`static DinucleotideProperty.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DinucleotideProperty.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONFORMATIONAL

    public static final DinucleotideProperty.Type CONFORMATIONAL

  A conformational property of nucleotide sequences

### PHYSICOCHEMICAL

    public static final DinucleotideProperty.Type PHYSICOCHEMICAL

  A physicochemical property of nucleotide sequences

### LETTER_BASED

    public static final DinucleotideProperty.Type LETTER_BASED

  A letter-based property of nucleotide sequences

Method Detail

### values

    public static DinucleotideProperty.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DinucleotideProperty.Type c : DinucleotideProperty.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DinucleotideProperty.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD